Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

List company inbox

GET
/v3/partner/company/{companyKey}/content
curl --request GET \
--url https://sender.api.kivra.com/v3/partner/company/156077433683911cdca5fd4563bded979572454cb9/content \
--header 'Authorization: Bearer <token>'

List the content the company has received. This may be filtered by certain labels and specific fields may be selected using field.

Note that more content metadata is available via the Get specific content endpoint.

companyKey
required
CompanyKey

The key for a company

string
/^[0-9]{10}[a-f0-9]{32}$/
Example
156077433683911cdca5fd4563bded979572454cb9
handled
HandledLabel

The content has been marked as handled, previously known as paid.

boolean
viewed
ViewedLabel

The content has been viewed. This can be toggled by the user, i.e. “Mark as unread”.

boolean
field
Array<string>
Media typeapplication/json
Array<object>
BaseContentMetadata

Listing summary of content metadata

object
created_at
required

This is the same date and time as transaction_at, except for reminder invoices, where it is the reminder date and not the original invoice date.

string format: date-time
key
required
ContentKey

The key for a content

string
/^[0-9]{10}[a-f0-9]{32}$/
labels
required

The labels that apply to this content

object
governmental
required
GovernmentalLabel

Indicates if the content comes from a governmental body.

boolean
handled
required
HandledLabel

The content has been marked as handled, previously known as paid.

boolean
interpreted
required
InterpretedLabel

Used to indicate if the content has been interpreted. Now it is always set to false.

boolean
reminder
required
ReminderLabel

Indicates if the content, which must be an invoice, is a reminder.

boolean
trashed
required
TrashedLabel

Indicates if the content has been moved to the trash.

boolean
viewed
required
ViewedLabel

The content has been viewed. This can be toggled by the user, i.e. “Mark as unread”.

boolean
parts
required
Array<object>
PartMetadata
object
content_type
required

The MIME type of this content part

string
Allowed values: application/pdf text/html text/plain image/jpeg image/gif image/png text/calendar application/msword application/vnd.openxmlformats-officedocument.wordprocessingml.document application/vnd.openxmlformats-officedocument.wordprocessingml.template
name
required

The name of this content part. Usually a filename.

string
sha256
required

The SHA256 digest of this content part. For older content, received before early 2018, this may be null.

string
nullable
size
required

The size in bytes of this content part

integer
url
required

The URL to fetch this content part

string
responsive_body

The responsive content HTML of the part, if and only if this part has a corresponding responsive part

string
received_at
required

When the content was received by Kivra

string format: date-time
receiver_name
required

The name of the recipient company

string
receiver_vat_number
required
VatNumber

A Swedish VAT number (“momsregistreringsnummer”).

string
/^SE[0-9]{10}01$/
sender_icon_url
required

A url to the icon used by the sender within Kivra, or null if no corresponding icon exists.

string format: url
nullable
sender_name
required

The name of the sender

string
nullable
sender_vat_numbers
required

VAT numbers representing the sender

Array<string>
nullable
origin
ContentOrigin

The origin of the content. Indicates how the content was delivered to Kivra.

  • kivra: Sent directly through Kivra.
  • minameddelanden: Sent via Mina Meddelanden. Used by governmental organisations.
  • user: Uploaded by an user. Companies with Kivra företag+ can also receive:
  • physical: Physical post scanned by Kivra.
  • email: Sent via the company’s kivramail.com email address.
string
Allowed values: kivra minameddelanden user physical email
subject
required

Subject of the content

string
transaction_at
required

The date and time this content conceptually took place.

  • For a normal invoice it is the invoice date.
  • For a reminder invoice it the original invoice date and not the reminders invoice date.
  • For all other types of content it is null.
  • If no date could be found, it is null.
string format: date-time
nullable
type
required

The type of the content

string
Allowed values: invoice other
Example
[
{
"key": "156077433683911cdca5fd4563bded979572454cb9",
"labels": {
"interpreted": false
},
"parts": [
{
"content_type": "application/pdf",
"name": "faktura.pdf",
"sha256": "060bed374498fe2f36a5f2e1abf217a90beb46e8fe4ec1d9d5ce7746",
"size": 4711,
"url": "https://sender.sandbox-api.kivra.com/v3/partner/company/1691677086a57b73569d594df5abad7fd2575c1070/content/1691677075a9813e08f783496382b0bff743ec34ae?part=1",
"responsive_body": "<h1>Faktura</h1>\n<p>Totalt: 1 500,00 kr/p>"
}
],
"receiver_name": "Developers Developers Developers AB",
"receiver_vat_number": "SE556000475501",
"sender_icon_url": "https://sandbox-static.kivra.com/img/tenant/1341573157b3a1c55f220f4007b2e44789d2d04015/icon.png",
"sender_name": "Lenas Konditori AB",
"sender_vat_numbers": [
"SE556000475501"
],
"origin": "kivra",
"subject": "Invoice: a thousand Swiss rolls",
"type": "invoice"
}
]